Compares an image to a reconstructed image

- « Imagick::compareImageLayers

- Imagick::compositeImage »

- PHP Manual
- Imagick
- Compares an image to a reconstructed image

# Imagick::compareImages

(PECL imagick 2, PECL imagick 3)

Imagick::compareImages — Compares an image to a reconstructed image

### Description

public Imagick::compareImages(Imagick `$compare`, int `$metric`): array

Returns an array containing a reconstructed image and the difference between images.

### Parameters

`compare`

  An image to compare to.

`metric`

  Provide a valid metric type constant. Refer to this list of metric constants.

### Return Values

Returns an array containing a reconstructed image and the difference between images.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::compareImages():

Compare images and display the reconstructed image

    <?php$image1 = new imagick("image1.png");$image2 = new imagick("image2.png");$result = $image1->compareImages($image2, Imagick::METRIC_MEANSQUAREERROR);$result[0]->setImageFormat("png");header("Content-Type: image/png");echo $result[0];?>